-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: German TTS

-- rpdb NUANCE 4th DELIVERY

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Steffi"
language = "German"
marc_code = "ger"
language_id = "3"
id = "3002"
config_file = "german_tts/config_tts.lua"
audio_files_path = "german_tts/german_tts"
rulesets_file = "german_tts/german_tts/rulesets_GED.txt"
userdictionary_file = "german_tts/german_tts/userdct_ged.dat"
apdb = "apdb/steffi/nm"
audio_files_version = "0.2.0.2012011701"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "haben Sie Ihr Ziel erreicht",                                                            
    ["STOPOVER"] = "haben Sie Ihr Zwischenziel erreicht",                                    
    ["JUNCTION"] = nil,                                                                      --  -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,   
    ["ROUNDABOUT"] = "im Kreisverkehr",                                                     -- im Kreisverkehr
    ["EXIT_ROUNDABOUT"] = "die Ausfahrt nehmen",                                    -- die Ausfahrt nehmen
    ["UTURN"] = "wenden",                                                                           -- wenden
    ["ENTER_HIGHWAY"] = "auf die Autobahn fahren",                                  -- auf die Autobahn fahren 
    ["LEAVE_HIGHWAY"] = "die Ausfahrt nehmen",                                      -- die Ausfahrt nehmen
    ["CHANGE_HIGHWAY"] = "die Autobahn wechseln",                               -- die Autobahn wechseln 
    ["CONTINUE_HIGHWAY"] = "die Ausfahrt nehmen",                                   -- die Autobahn folgen
    ["ENTER_URBAN_HIGHWAY"] = "auf die Autobahn fahren",                      -- auf die Autobahn fahren 
    ["LEAVE_URBAN_HIGHWAY"] = "die Ausfahrt nehmen",                          -- die Ausfahrt nehmen
    ["CHANGE_URBAN_HIGHWAY"] = "die Autobahn wechseln",                   -- die Autobahn wechseln 
    ["CONTINUE_URBAN_HIGHWAY"] = "die Autobahn folgen",                      -- die Autobahn folgen
    ["DRIVE_TO_NEAREST_ROAD"] = "fahren Sie zur nächsten Straße",        -- drive to nearest road 
    ["FERRY"] = "auf die Fähre steigen"                                                         -- auf die Fähre steigen
}

maneuver_turns_car = {
    ["NO_TURN"] = "geradeaus fahren",                               -- geradeaus fahren
    ["KEEP_MIDDLE"] = "mittlere Spur nehmen",                 -- mittlere Spur nehmen
    ["KEEP_RIGHT"] = "rechts halten",                                 -- rechts halten
    ["LIGHT_RIGHT"] = "leicht rechts abbiegen",                    -- leicht rechts abbiegen
    ["QUITE_RIGHT"] = "rechts abbiegen",                            -- rechts abbiegen
    ["HEAVY_RIGHT"] = "scharf rechts abbiegen",                 -- scharf rechts abbiegen
    ["RETURN"] = "wenden",                                               -- wenden
    ["HEAVY_LEFT"] = "scharf links abbiegen",                   -- scharf links abbiegen
    ["QUITE_LEFT"] = "links abbiegen",                              -- links abbiegen
    ["LIGHT_LEFT"] = "leicht links abbiegen",                      -- leicht links abbiegen
    ["KEEP_LEFT"] = "links halten",                                   -- links halten
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "geradeaus weiterlaufen",
    ["KEEP_MIDDLE"] = "die mittlere Strasse nehmen",
    ["KEEP_RIGHT"] = "die rechte Strasse nehmen",
    ["LIGHT_RIGHT"] = "leicht rechts abbiegen",
    ["QUITE_RIGHT"] = "rechts abbiegen",
    ["HEAVY_RIGHT"] = "scharf rechts abbiegen",
    ["RETURN"] = "wenden",
    ["HEAVY_LEFT"] = "scharf links abbiegen",
    ["QUITE_LEFT"] = "links abbiegen",
    ["LIGHT_LEFT"] = "leicht links abbiegen",
    ["KEEP_LEFT"] = "die linke Strasse nehmen",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "durch das Gebäude laufen",
    ["SQUARE"] = "den Platz überqueren",
    ["PARK"] = "den Park durchqueren",
    ["STAIRS"] = "die Treppe nehmen",
    ["ELEVATOR"] = "in den Aufzug steigen",
    ["ESCALATOR"] = "die Rolltreppe nehmen "
}

final_command = {
    ["END"] = "Sie haben ihr Ziel erreicht",                                        -- You have reached your destination
    ["STOPOVER"] = "Sie haben ein Zwischenziel erreicht"                -- You have reached a stopover
}
exit_number_check = {
    [1] = {"an der ersten Straße", "die erste Ausfahrt nehmen"},                     -- take the first exit
    [2] = {"an der zweiten Straße", "die zweite Ausfahrt nehmen"},                 -- take the second exit
    [3] = {"an der dritten Straße", "die dritte Ausfahrt nehmen"},                     -- take the third exit
    [4] = {"an der vierten Straße", "die vierte Ausfahrt nehmen"},                     -- take the fourth exit
    [5] = {"an der fünften Straße", "die fünfte Ausfahrt nehmen"},                    -- take the fifth exit
    [6] = {"an der sechsten Straße", "die sechste Ausfahrt nehmen"},             -- take the sixth exit
    [7] = {"an der siebten Straße", "die siebte Ausfahrt nehmen"},                  -- take the seventh exit
    [8] = {"an der achten Straße", "die achte Ausfahrt nehmen"},                    -- take the eighth exit
    [9] = {"an die neunten Straße", "die neunte Ausfahrt nehmen"},                -- take the ninth exit
    [10] = {"an die zehnten Straße", "die zehnte Ausfahrt nehmen"},               -- take the tenth exit
    [11] = {"an die elften Straße", "die elfte Ausfahrt nehmen"},                      -- take the eleventh exit
    [12] = { "an die zwolften Straße", "die zwolfte Ausfahrt nehmen"}               -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}
unit = {                        
    ["MILE"] = "Meile",
    ["YARDS"] = "Yards",
    ["KILOMETER"] = "Kilometer",
    ["METERS"] = "Metern",
    ["METER"] = "Meter",
    ["KILOMETERS"] = "Kilometern",
    ["MILES"] = "Meilen",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

-- german specific
unit_plural = {                        
    ["KILOMETERS"] = "Kilometer",
    ["MILES"] = "Meilen"
}

orientation = {
    ["NORTH"] = "nördlicher Richtung",
    ["NORTH_EAST"] = "nordöstlicher Richtung",
    ["EAST"] = "östlicher Richtung",
    ["SOUTH_EAST"] = "südöstlicher Richtung",
    ["SOUTH"] = "südlicher Richtung",
    ["SOUTH_WEST"] = "südwestlicher Richtung",
    ["WEST"] = "westlicher Richtung",
    ["NORTH_WEST"] = "nordwestlicher Richtung"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS Signal verloren",
    ["gps_signal_restored_wav"] = "Die GPS Verbindung wurde wiederhergestellt",
  --  ["no_gps_signal_wav"] = "Kein GPS Signal",
    ["route_recalculation_wav"] = "Routenneuberechnung",
    ["now_wav"] = "Jetzt",
    ["end_of_street_wav"] = "Am ende der Straße",
    ["follow_wav"] = "Folgen",
    ["follow_motorway_wav"] = "Folgen Sie der Autobahn",
    ["follow_urban_hwy_wav"] = "Folgen Sie der Autobahn",
    ["follow_road_wav"] = "Folgen Sie dem Verlauf der Straße",
    ["for_wav"] = "für",
    ["after_wav"] = "Nach",
    ["the_junction_wav"] = "der Kreuzung",
    ["and_wav"] = "und",
    ["second_right_wav"] = "die zweite rechts abbiegen",
    ["second_left_wav"] = "die zweite links abbiegen",
    ["immediately_wav"] = "sofort",
    ["safety_camara_ahead_wav"] = "Blitzgerät voraus",
    ["over_speed_limit_wav"] = "Beachten Sie die Höchstgeschwindigkeit",
    ["traffic_automatic_detour_wav"] = "Verkehrsereignis auf der Route, Sie werden umgeleitet",
    ["traffic_manual_detour_wav"] = "Verkehrsereignis auf der Route, wünschen Sie eine Umleitung?",
    ["no_detour_possible"] = "Keine Umleitung um Verkehrsereignis herum gefunden",
    ["and_then_wav"] = "und dann",
    ["half_a_mile_wav"] = "einer halben Meile",
    ["quarter_a_mile_wav"] = "einer viertel Meile",
    ["and_continue_on_wav"] = "und folgen Sie",
     ["and_continue_on_2_wav"] = " ",
    ["towards_wav"] = "Richtung",
    ["einem_wav"] = "einem",
    ["einer_wav"] = "einer",
    ["onto_wav"] = nil,
    ["exit_wav"] = "Ausfahrt",
    ["turn_wav"] = "abbiegen",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "links den Kreisverkehr entlanglaufen",
    ["walk_right_roundabout_wav"] = "rechts den Kreisverkehr entlanglaufen",
    ["walk_roundabout_wav"] = "den Kreisverkehr entlanglaufen",
    ["head_wav"] = "Starten Sie in",
    ["go_wav"] = "abbiegen",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = nil,
    ["the_footpath_wav"] = "auf den Fußgängerweg"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


